org.hibernate.search.query.dsl.impl

## Class ConnectedSimpleQueryStringMatchingContext

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.ConnectedSimpleQueryStringMatchingContext

- All Implemented Interfaces:
    SimpleQueryStringDefinitionTermination, SimpleQueryStringMatchingContext

      public class ConnectedSimpleQueryStringMatchingContext
      extends Object
      implements SimpleQueryStringMatchingContext

  Author:
    Guillaume Smet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedSimpleQueryStringMatchingContext(String[] fields, org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer, QueryBuildingContext queryContext)`
    `ConnectedSimpleQueryStringMatchingContext(String field, org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer, QueryBuildingContext queryContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleQueryStringMatchingContext` | `andField(String field)` Field the query is executed on.
    `SimpleQueryStringMatchingContext` | `andFields(String... fields)` Fields the query is executed on.
    `SimpleQueryStringMatchingContext` | `boostedTo(float boost)` Boost the field to a given value Most of the time positive float: - lower than 1 to diminish the weight - higher than 1 to increase the weight Could be negative but not unless you understand what is going on (advanced)
    `SimpleQueryStringTermination` | `matching(String simpleQueryString)` Simple query string passed to the `SimpleQueryParser`.
    `SimpleQueryStringDefinitionTermination` | `withAndAsDefaultOperator()` Define the default operator as AND.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectedSimpleQueryStringMatchingContext

          public ConnectedSimpleQueryStringMatchingContext(String field,
                                                           org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer,
                                                           QueryBuildingContext queryContext)

    - #### ConnectedSimpleQueryStringMatchingContext

          public ConnectedSimpleQueryStringMatchingContext(String[] fields,
                                                           org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer,
                                                           QueryBuildingContext queryContext)

  - ### Method Detail

    - #### andField

          public SimpleQueryStringMatchingContext andField(String field)

      Description copied from interface: `SimpleQueryStringMatchingContext`
      Field the query is executed on.
      Specified by:
        `andField` in interface `SimpleQueryStringMatchingContext`

    - #### andFields

          public SimpleQueryStringMatchingContext andFields(String... fields)

      Description copied from interface: `SimpleQueryStringMatchingContext`
      Fields the query is executed on.
      Specified by:
        `andFields` in interface `SimpleQueryStringMatchingContext`

    - #### boostedTo

          public SimpleQueryStringMatchingContext boostedTo(float boost)

      Description copied from interface: `SimpleQueryStringMatchingContext`
      Boost the field to a given value Most of the time positive float: - lower than 1 to diminish the weight - higher than 1 to increase the weight Could be negative but not unless you understand what is going on (advanced)
      Specified by:
        `boostedTo` in interface `SimpleQueryStringMatchingContext`

    - #### matching

          public SimpleQueryStringTermination matching(String simpleQueryString)

      Description copied from interface: `SimpleQueryStringDefinitionTermination`
      Simple query string passed to the `SimpleQueryParser`.
      Specified by:
        `matching` in interface `SimpleQueryStringDefinitionTermination`

    - #### withAndAsDefaultOperator

          public SimpleQueryStringDefinitionTermination withAndAsDefaultOperator()

      Description copied from interface: `SimpleQueryStringMatchingContext`
      Define the default operator as AND.
      Specified by:
        `withAndAsDefaultOperator` in interface `SimpleQueryStringMatchingContext`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved